### Method

# Cogl Context set_named_pipeline

#### Declaration [src]

    void
    cogl_context_set_named_pipeline (
      CoglContext* context,
      CoglPipelineKey* key,
      CoglPipeline* pipeline
    )

#### Description [src]

Associate a `CoglPipeline` with a `context` and `key`. This will not take a new reference to the `pipeline`, but will unref all associated pipelines when the `context` gets destroyed. Similarly, if a pipeline gets overwritten, it will get unreffed as well.

#### Parameters

`key`

  Type: `CoglPipelineKey`

  A `CoglPipelineKey` pointer.

  The data is owned by the caller of the method.

`pipeline`

  Type: `CoglPipeline`

  A `CoglPipeline` to associate with the `context` and `key`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.